Skip to main content

Could not deploy CallForwardBlock example!

1 reply [Last post]
yini
Offline
Joined: 2007-03-15
Points: 0

CallForwardBlock example is a very old one, I deployed it on 1.0 CR3.Of course deploy sipra first, then execute ant target deploy-controller-service, but I get the following error:

deploy-controller-service:
[slee-management] log4j:WARN No appenders could be found for logger (org.jnp.interfaces.NamingContext).
[slee-management] log4j:WARN Please initialize the log4j system properly.
[slee-management] 2008-10-28 0:00:49 org.mobicents.ant.tasks.InstallTask run
[slee-management] 警告: Bad result: slee:name=DeploymentMBean.install
[slee-management] javax.slee.management.DeploymentException: Could not deploy: Resource Adaptor type is not implemented: ResourceAdaptorTypeID[jain-sip#javax.sip#1.1]
[echo] Controller Service Deployed
[slee-management] 2008-10-28 0:01:49 org.mobicents.ant.tasks.ActivateServiceTask run
[slee-management] 警告: Bad result: slee:name=ServiceManagementMBean.activate
[slee-management] javax.slee.management.ManagementException: system exception starting service
[echo] Controller Service Activated
[slee-management] 2008-10-28 0:02:49 org.mobicents.ant.tasks.ActivateServiceTask run
[slee-management] 警告: Bad result: slee:name=ServiceManagementMBean.activate
[slee-management] javax.slee.management.ManagementException: system exception starting service
[echo] GoodBye Service Activated

It's strange, the sipra'id I deployed is ResourceAdaptorTypeID[JAIN SIP#javax.sip#1.1],but the error shows this example needs ResourceAdaptorTypeID[jain-sip#javax.sip#1.1].
Is this caused by wrong sipra libs?
I have tried the wakeup example successfully, and use it's sipra libs to replace the CallForwardBlock 's ,but get the same error.

pls help me, thanks.

Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
alexandrem
Offline
Joined: 2005-10-19
Points: 0

Hi yini,

Why are you using 1.0 CR3 ? That's quite an old version ... Please use the latest version of Mobicents, 1.2.1.GA. You can get it from here:

http://sourceforge.net/project/showfiles.php?group_id=102670&package_id=...

Anyway, if you wish to know what's wrong in that case, it should be in the resource-adaptor-jar.xml file, referring to the RA Type in a wrong way.

Regards,
Alexandre Mendonca